﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Telerik.Web.UI;
using Microsoft.SharePoint;
using System.IO;
using Microsoft.SharePoint.WebControls;
using System.Web;


namespace UploadPictures.UploadPicturesVisualWebPart
{
    public partial class UploadPicturesVisualWebPartUserControl : UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void Button1_Click(object sender, System.EventArgs e)
        {
            using (var site = new SPSite("http://localhost"))
            {
                using (SPWeb web = site.OpenWeb())
                {
                    SPPictureLibrary pics = (SPPictureLibrary)web.Lists["MyPictureLibrary"];

                    foreach (UploadedFile file in RadUpload1.UploadedFiles)
                    {
                        using (Stream fs = file.InputStream)
                        {
                            pics.RootFolder.Files.Add(file.GetName(), fs);
                        }
                    }

                }
            }
        }
        
    }
}
